"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const flow_node_instance_state_1 = require("./flow_node_instance_state");
/**
 * Describes a single FlowNodeInstance.
 */
class FlowNodeInstance {
    constructor() {
        this.state = flow_node_instance_state_1.FlowNodeInstanceState.running;
    }
    /**
     * Gets the ProcessToken for this FlowNodeInstance that has the given type.
     *
     * @param   tokenType The type of the token to retrieve.
     * @returns           The retrieved token.
     */
    getTokenByType(tokenType) {
        return this.tokens.find((token) => {
            return token.type === tokenType;
        });
    }
}
exports.FlowNodeInstance = FlowNodeInstance;
//# sourceMappingURL=flow_node_instance.js.map