import { Collaboration } from './collaboration';
import { Process } from './process';
import { Xmlns } from './xmlns';
/**
 * Contains the parsed ProcessModels, taken from a BPMN file.
 * This is the root object for the internal ProcessModel structure.
 */
export declare class Definitions {
    xmlns: Xmlns;
    id: string;
    targetNamespace: string;
    exporter: string;
    exporterVersion: string;
    /**
     * Contains information about the Collaboration associated with this
     * ProcessDefiniton, such as the participants.
     */
    collaboration: Collaboration;
    /**
     * Contains a list of all processes contained within this definition.
     */
    processes: Array<Process>;
}
