import { BpmnType, EventType } from '../constants';
import { ErrorEventDefinition, Event, MessageEventDefinition, SignalEventDefinition, TimerEventDefinition } from './event_base';
/**
 * Describes a BPMN BoundaryEvent.
 *
 * These events are always attached to an activity and will only live
 * as long as that activity gets executed.
 */
export declare class BoundaryEvent extends Event {
    readonly bpmnType: BpmnType;
    readonly eventType: EventType;
    errorEventDefinition?: ErrorEventDefinition;
    messageEventDefinition?: MessageEventDefinition;
    signalEventDefinition?: SignalEventDefinition;
    timerEventDefinition?: TimerEventDefinition;
    /**
     * If set to true, raising this event will cause the activity to
     * cease all operations.
     */
    cancelActivity: boolean;
    /**
     * Contains the ID of the activity to which this event is attached.
     */
    attachedToRef: string;
}
